.order__amount,
.order__date {
    display: inline-flex;
}

.row {
    margin-bottom: 1rem;

    @media (max-width: 700px) {
        display: flex;
        flex-direction: column;
    }
}

.order-row {
    display: flex;
}

.order__amount {
    color: #425563;
    font-weight: bold;
    margin-right: 2rem;

    @media (max-width: 700px) {
        margin-bottom: 32px;
    }

    .order__amount-currency {
        font-size: 15px;
        margin-right: .5rem;
        padding-top: 7px;
    }

    .order__amount-value {
        font-size: 52px;
    }
}

.order__date {
    display: inline-flex;
    flex-direction: column;

    @media (max-width: 700px) {
        margin-bottom: 32px;
    }

    .order__date--name {
        color: #2a5cbc;
        text-transform: uppercase;
        font-size: 13px;
        font-weight: bold;
        letter-spacing: 2px;
    }

    .order__date--value {
        color: #002846;
        letter-spacing: 2px;
        margin-top: 4px;
    }
}

.order-id {
    width: 380px;
    display: inline-flex;
    background: #fff;
    border-radius: 4px;
    padding: 7px;
    height: 48px;
    margin-right: 1rem;
    align-items: center;

    @media (max-width: 700px) {
        margin-bottom: 16px;
        width: 100%;
    }

    .order-id__content {
        display: inline-flex;
        flex-direction: column;
    }

    .order-id__icon {
        fill: #253746;
        margin-right: 1rem;
        height: 27px;
    }

    .order-id__label {
        color: #da291c;
        font-size: 13px;
        font-weight: bold;
        height: 16px;
        letter-spacing: 2px;
        line-height: 16px;
        text-transform: uppercase;
    }

    .order-id__value {
        color: #00000099;
        font-size: 15px;
        height: 20px;
        letter-spacing: 0.25px;
        line-height: 20px;
    }
}

.order-status {
    display: inline-flex;
    background: #307fe2;
    color: #fff;
    height: 48px;
    width: 224px;
    padding: 7px 48px 7px 24px;
    border-radius: 4px;
    text-transform: uppercase;
    letter-spacing: 0.4px;
    line-height: 16px;
    font-size: 13px;

    @media (max-width: 700px) {
        margin-bottom: 16px;
        align-items: center;
        width: 100%;
    }

    .order-status__icon {
        width: 38px;
        fill: #fff;
        margin-right: 14px;
    }
}

.buyer {
    background: #fff;
    border-radius: 4px;
    width: 620px;

    @media (max-width: 700px) {
        width: 100%;
    }

    .buyer__header {
        display: flex;
        flex-direction: row;
        width: 100%;
        padding: 8px 0px 8px 8px;
        justify-content: space-between;
        border-bottom: 1px solid #d1d3d4;
    }

    .buyer__header-title {
        align-items: center;
        display: flex;
        text-transform: uppercase;
        letter-spacing: 2px;
        font-weight: bold;
        color: #002846;
        font-size: 14px;
    }

    .buyer__header-icon {
        width: 25px;
        fill: #253746;
        height: 30px;
        margin-right: 1rem;
    }

    .buyer__header-icon--small {
        width: 30px;
        height: 16px;
    }

    .buyer__name {
        padding: 16px 8px;
    }
}

.order-details__title {
    margin-top: 32px;
}

.order-details {
    width: 620px;
    display: flex;
    flex-direction: column;
    border-radius: 4px;
    padding: 16px;
    background: #fff;

    @media (max-width: 700px) {
        width: 100%;
    }
}
